Skip to content

TOP

  • Facebook
  • Instagram
  • X (Twitter)
  • Pinterest

Japanese vintage/used vinyl records and CDs for sale online

  • Home
  • About Us
    • About Us
    • Staff
    • Feedback
    • Contact Us
  • Blog
    • New Arrivals
    • Database
    • Reviews
      • HM/HR
      • Japanese Metal
  • All Products
  • Genres
  • Vinyl Records
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy Song
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • Electone
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin Music
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Karaoke
      • Spoken World
      • Sports
  • CD
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Spoken World
      • Sports
  • Books
  • Accessories
  • Big Discount Sale
    • 10% off
    • 30% off
    • 50% off
    • 70% off
    • 90% off
  • X (Twitter)
  • Facebook
  • Pinterest
  • Instagram
Snow Records Japan
  • Home
  • About Us
    • About Us
    • Staff
    • Feedback
    • Contact Us
  • Blog
    • New Arrivals
    • Database
    • Reviews
      • HM/HR
      • Japanese Metal
  • All Products
  • Genres
  • Vinyl Records
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy Song
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • Electone
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin Music
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Karaoke
      • Spoken World
      • Sports
  • CD
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Spoken World
      • Sports
  • Books
  • Accessories
  • Big Discount Sale
    • 10% off
    • 30% off
    • 50% off
    • 70% off
    • 90% off
Log in Cart

Item added to your cart

View cart

We're shipping tons of Vinyls and CDs to worldwide from Japan every week since 2003. Please buy with confidence.

Search results

  • RVS-542 front cover

    KUWANA, MASAHIRO - third lady - RVS-542

    Sale

    KUWANA, MASAHIRO - third lady - RVS-542

    Vendor:
    e102-25-0620-168
    Regular price ¥385 JPY
    Regular price ¥550 JPY Sale price ¥385 JPY
    Sale
  • RVL-9031 front cover

    MITCHELL, HERMAN - latin piano best30 - RVL-9031

    MITCHELL, HERMAN - latin piano best30 - RVL-9031

    Vendor:
    26-0407-024
    Regular price ¥660 JPY
    Regular price ¥660 JPY Sale price ¥660 JPY
  • RJL-2529 front cover

    V/A - the jazz piano - RJL-2529

    Sale

    V/A - the jazz piano - RJL-2529

    Vendor:
    432-24-1128-081
    Regular price ¥880 JPY
    Regular price ¥1,760 JPY Sale price ¥880 JPY
    Sale
  • RVS-1202 front cover

    SAIJO, HIDEKI - kanashiki yujo - RVS-1202

    Sale

    SAIJO, HIDEKI - kanashiki yujo - RVS-1202

    Vendor:
    e19-25-0220-156
    Regular price ¥275 JPY
    Regular price ¥550 JPY Sale price ¥275 JPY
    Sale
  • SX-244 front cover

    V/A - the best of dance music - SX-244

    V/A - the best of dance music - SX-244

    Vendor:
    26-0424-064
    Regular price ¥550 JPY
    Regular price ¥550 JPY Sale price ¥550 JPY
  • RVL-8007 front cover

    KUWANA, MASAHIRO - masahiro ii - RVL-8007

    KUWANA, MASAHIRO - masahiro ii - RVL-8007

    Vendor:
    26-0325-058
    Regular price ¥550 JPY
    Regular price ¥550 JPY Sale price ¥550 JPY
  • RVS-1202 front cover

    SAIJO, HIDEKI - kanashiki yujo - RVS-1202

    Sale

    SAIJO, HIDEKI - kanashiki yujo - RVS-1202

    Vendor:
    e141-23-1113-249
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • RHS-144 front cover

    KITAHARA, YUKI - shiawase tooryanse - RHS-144

    Sale

    KITAHARA, YUKI - shiawase tooryanse - RHS-144

    Vendor:
    e97-25-1105-134
    Regular price ¥495 JPY
    Regular price ¥550 JPY Sale price ¥495 JPY
    Sale
  • RHS-110 front cover

    KONDO, MASAHIKO - tameiki rockabilly - RHS-110

    Sale

    KONDO, MASAHIKO - tameiki rockabilly - RHS-110

    Vendor:
    e123-24-0926-094
    Regular price ¥275 JPY
    Regular price ¥550 JPY Sale price ¥275 JPY
    Sale
  • RMP-5107 front cover

    V/A - the panassie sessions, vol.7 / the essence of jazz classics - RMP-5107

    Sale

    V/A - the panassie sessions, vol.7 / the essence of jazz classics - RMP-5107

    Vendor:
    420-25-0123-059
    Regular price ¥990 JPY
    Regular price ¥1,980 JPY Sale price ¥990 JPY
    Sale
  • RVL-8042 front cover

    KUWANA, MASAHIRO - kuwana no.5 - RVL-8042

    Sale

    KUWANA, MASAHIRO - kuwana no.5 - RVL-8042

    Vendor:
    448-25-0825-011
    Regular price ¥594 JPY
    Regular price ¥660 JPY Sale price ¥594 JPY
    Sale
  • RA-5525(S) front cover

    SMITH, CONNIE - the best of connie smith - RA-5525(S)

    Sale

    SMITH, CONNIE - the best of connie smith - RA-5525(S)

    Vendor:
    277-24-0712-052
    Regular price ¥231 JPY
    Regular price ¥770 JPY Sale price ¥231 JPY
    Sale
  • RFC-0710 front cover

    V/A - gone with the wind and other movie themes - RFC-0710

    Sale

    V/A - gone with the wind and other movie themes - RFC-0710

    Vendor:
    180-24-0718-045
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • RHL-8352 front cover

    ISHIKAWA, HIDEMI - spark sawayaka concert part2 - RHL-8352

    Sale

    ISHIKAWA, HIDEMI - spark sawayaka concert part2 - RHL-8352

    Vendor:
    238-24-0823-222
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • RA-5503 front cover

    SONS OF THE PIONEERS, THE - favorite cowboy songs - RA-5503

    Sale

    SONS OF THE PIONEERS, THE - favorite cowboy songs - RA-5503

    Vendor:
    72-23-1113-123
    Regular price ¥198 JPY
    Regular price ¥660 JPY Sale price ¥198 JPY
    Sale
  • RVL-2077 front cover

    SAIJO, HIDEKI - big game '79 - RVL-2077

    Sale

    SAIJO, HIDEKI - big game '79 - RVL-2077

    Vendor:
    102-25-0902-037
    Regular price ¥792 JPY
    Regular price ¥880 JPY Sale price ¥792 JPY
    Sale
  • RFC-0711 front cover

    V/A - love is a many-splendored thing - RFC-0711

    Sale

    V/A - love is a many-splendored thing - RFC-0711

    Vendor:
    328-24-0603-110
    Regular price ¥264 JPY
    Regular price ¥880 JPY Sale price ¥264 JPY
    Sale
  • RVS-1202 front cover

    SAIJO, HIDEKI - kanashiki yujo - RVS-1202

    Sale

    SAIJO, HIDEKI - kanashiki yujo - RVS-1202

    Vendor:
    e110-25-0122-043
    Regular price ¥275 JPY
    Regular price ¥550 JPY Sale price ¥275 JPY
    Sale
  • RVP-6069 front cover

    PRIDE, CHARLEY - the happiness of having you - RVP-6069

    Sale

    PRIDE, CHARLEY - the happiness of having you - RVP-6069

    Vendor:
    23-23-1113-030
    Regular price ¥198 JPY
    Regular price ¥660 JPY Sale price ¥198 JPY
    Sale
  • RVS-1172 front cover

    SAIJO, HIDEKI - young man (y.m.c.a.) - RVS-1172

    Sale

    SAIJO, HIDEKI - young man (y.m.c.a.) - RVS-1172

    Vendor:
    e109-25-0618-243
    Regular price ¥385 JPY
    Regular price ¥550 JPY Sale price ¥385 JPY
    Sale
  • RVS-1192 front cover

    SAIJO, HIDEKI - yuki ga areba - RVS-1192

    Sale

    SAIJO, HIDEKI - yuki ga areba - RVS-1192

    Vendor:
    e73-23-0816-166
    Regular price ¥55 JPY
    Regular price ¥550 JPY Sale price ¥55 JPY
    Sale
  • RMP-5136(S) front cover

    PRIDE, CHARLEY - the best of charley pride - RMP-5136(S)

    PRIDE, CHARLEY - the best of charley pride - RMP-5136(S)

    Vendor:
    25-1218-071
    Regular price ¥770 JPY
    Regular price ¥770 JPY Sale price ¥770 JPY
  • RFC-0905 front cover

    DORSEY, TOMMY - the great collection of tommy dorsey - RFC-0905

    Sale

    DORSEY, TOMMY - the great collection of tommy dorsey - RFC-0905

    Vendor:
    205-25-0110-003
    Regular price ¥550 JPY
    Regular price ¥1,100 JPY Sale price ¥550 JPY
    Sale
  • RPL-7505 front cover

    SEDAKA, NEIL - neil sedaka - RPL-7505

    Sale

    SEDAKA, NEIL - neil sedaka - RPL-7505

    Vendor:
    344-25-1128-065
    Regular price ¥1,287 JPY
    Regular price ¥1,430 JPY Sale price ¥1,287 JPY
    Sale
  • 1
  • …
  • 6
  • 7
  • 8
  • 9
  • 10
  • …
  • 42

Recently viewed products

Quick links

  • Condition Guide
  • Shipping Policy
  • Return/Refund Policy
  • Privacy Policy
  • Terms of Service
  • Login
  • My Account
  • Search
  • Contact Us
  • 日本語サイト

Subscribe to our emails

  • Facebook
  • Instagram
  • X (Twitter)
  • Pinterest
Payment methods
  • American Express
  • Apple Pay
  • Google Pay
  • JCB
  • Mastercard
  • PayPal
  • Shop Pay
  • Visa
© 2026, Snow Records Japan Powered by Shopify
  • Refund policy
  • Privacy policy
  • Terms of service
  • Shipping policy
  • Legal notice
  • Contact information
  • Choosing a selection results in a full page refresh.
  • Opens in a new window.